cURL
curl --request POST \
--url https://cloud.nrai.io/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"externalId": "<string>",
"metadata": {}
}
'import requests
url = "https://cloud.nrai.io/api/v1/projects"
payload = {
"displayName": "<string>",
"externalId": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({displayName: '<string>', externalId: '<string>', metadata: {}})
};
fetch('https://cloud.nrai.io/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"ownerId": "<string>",
"displayName": "<string>",
"notifyStatus": "NEVER",
"platformId": "<string>",
"releasesEnabled": true,
"usage": {
"tasks": 123,
"aiCredits": 123,
"nextLimitResetDate": 123
},
"plan": {
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"projectId": "<string>",
"locked": false,
"name": "<string>",
"piecesFilterType": "NONE",
"pieces": [
"<string>"
],
"tasks": 123,
"aiCredits": 123
},
"analytics": {
"totalUsers": 123,
"activeUsers": 123,
"totalFlows": 123,
"activeFlows": 123
},
"externalId": "<string>",
"metadata": {}
}Projects
Create Project
POST
/
v1
/
projects
cURL
Authorizations
Use your api key generated from the admin console
Body
application/json
Response
201 - application/json
Default Response
Available options:
NEVER Pattern:
^[0-9a-zA-Z]{21}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I